# esegue comandi per risolvere il problema dell'undeclared valve position quando il valore è a zero
# il file zip viene scaricato da icos-cmn e salvato della directory old_files
# lo script si esegue lanciando come argomento il nome del file zip con relativo percorso (cartella old_files):
# es: ./rimuovi_und_valve_pos.sh ./old_files/CMN_590_20221215.zip
unzip $1 -d old_files
nomefile_start=$(echo $1 | sed -e 's/old\_files\///' -e 's/.zip//')
nomefile=$(ls old_files/$nomefile_start*.dat | sed -e 's/old\_files\///')
awk 'BEGIN{FS=OFS=" "} $14=="0.0000000000E+00"{$14="1.0000000000E+00"} 1' ./old_files/$nomefile > ./new_files/$nomefile 
cd new_files
zip $nomefile_start.zip $nomefile
